Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state
Class AbstractPropertyMap

    java.lang.Object
      org.jboss.portal.common.util.TypedMap
          org.jboss.portal.portlet.state.AbstractPropertyMap

All Implemented Interfaces:
  java.util.Map, PropertyMap

Direct Known Subclasses:
  SimplePropertyMap

    public class AbstractPropertyMap

extends TypedMap
implements PropertyMap

Version:
  $Revision: 6643 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.common.util.TypedMap
`TypedMap.Converter<E,I>, TypedMap.KeySet, TypedMap.TypedEntrySet, TypedMap.ValueCollection`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`AbstractPropertyMap(MapAccessor mapAccessor, TypedMap.Converter converter, TypedMap.Converter converter1)`
`AbstractPropertyMap(java.util.Map map, TypedMap.Converter converter, TypedMap.Converter converter1)`

Method Summary
`Value` | `getProperty(java.lang.String key)` Return the value for the given key or null if it does not exist.
`void` | `setProperty(java.lang.String key, Value value)` Update the value of the given key.

Methods inherited from class org.jboss.portal.common.util.TypedMap
`clear, containsKey, containsValue, convert, entrySet, equals, get, getKeyConverter, getValueConverter, isEmpty, keySet, put, putAll, remove, replace, size, toString, validate, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### AbstractPropertyMap

    public AbstractPropertyMap(MapAccessor mapAccessor,
                               TypedMap.Converter converter,
                               TypedMap.Converter converter1)

### AbstractPropertyMap

    public AbstractPropertyMap(java.util.Map map,
                               TypedMap.Converter converter,
                               TypedMap.Converter converter1)

Method Detail

### getProperty

    public Value getProperty(java.lang.String key)
                      throws java.lang.IllegalArgumentException

  Description copied from interface: `PropertyMap`
  Return the value for the given key or null if it does not exist.

  Specified by:
    `getProperty` in interface `PropertyMap`
  Parameters:
    `key` - the requested key
  Returns:
    the requested value or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

### setProperty

    public void setProperty(java.lang.String key,
                            Value value)
                     throws java.lang.IllegalArgumentException

  Description copied from interface: `PropertyMap`
  Update the value of the given key. If the value object is null it means that the entry must be removed. Implementation can throw an unsupported operation exception when it is abnormal to perform an update.

  Specified by:
    `setProperty` in interface `PropertyMap`
  Parameters:
    `key` - the key to update
    `value` - the new value
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD